% CC0 - To the extent possible under law, Roberto Dyke has waived all copyright
% and related or neighboring rights to this ground-truth correspondence
% viewing code.
function M = load_obj(filename)

if ~isfile(filename)
    error('File not found');
end

M = struct('VERT',[],'TRIV',[],'n',0,'m',0);

fid = fopen(filename,'r');

while ~feof(fid)
    key = fgets(fid,2);
    if strcmp(key,'v ')
        M.VERT = [M.VERT;sscanf(fgetl(fid),'%f %f %f\n')'];
    elseif strcmp(key,'f ')
        M.TRIV = [M.TRIV;sscanf(fgetl(fid),'%d %d %d\n')'];
    end
end

fclose(fid);

M.n = size(M.VERT,1);
M.m = size(M.TRIV,1);